DECLARE SUB LoadHouse ()
DECLARE SUB MeetGuy ()
DECLARE SUB Ending ()
DECLARE SUB Neato ()
DECLARE SUB Continue ()
DEFINT A-Z
DECLARE SUB SaveGame ()
DECLARE SUB MeetBoss1 ()
DECLARE SUB LoadCave ()
DECLARE SUB Death ()
DECLARE SUB StayAtInn ()
DECLARE SUB GenerateMOnStats ()
DECLARE SUB BuyWa (a%)
DECLARE SUB ListOFWeapon ()
DECLARE SUB SellWeaponArmour ()
DECLARE SUB WeaponShop ()
DECLARE SUB LoadTown ()
DECLARE SUB CenterPlayer ()
DECLARE SUB levelup ()
DECLARE FUNCTION Fixed$ (Num%)
DECLARE SUB ForNextLevel ()
DECLARE SUB Fight (WhatKind)
DECLARE SUB Stats ()
DECLARE SUB DialogBox3 ()
DECLARE SUB Dialogbox2 ()
DECLARE SUB LoadShit ()
DECLARE SUB Text (a$, C, XCoordinate, YCoordinate, Size)
DECLARE SUB Delay (Seconds)
DECLARE SUB DiaLogbox1 ()          ' Dialog Box, Just a Dialog box..
DECLARE SUB ChangeAnim ()              ' Change character's walking stance.
DECLARE SUB InitVars ()                ' Initialize variables.
DECLARE SUB LoadTiles ()               ' Load tiles.
DECLARE SUB LoadWorld ()               ' Load world. Modify for mult. worlds.
DECLARE SUB WaitKey ()
DECLARE SUB Begin ()
DECLARE SUB Loadfont ()
DECLARE SUB ShowMap ()                 ' Show map.
DECLARE SUB SetupPalette ()            ' Setup palette.
DECLARE SUB MoveDown ()                ' Move down. (Who duh thunk!)
DECLARE SUB MoveLeft ()                ' Move left.
DECLARE SUB MoveRight ()               ' Move right.
DECLARE SUB MoveUp ()                  ' Move up.
DECLARE SUB PutPlayerPic ()            ' Show player.
DECLARE SUB PutTile (Ico, Jco, MapNo)  ' Show tile (SUB ShowMap uses this).
DECLARE SUB Help1 (talk)

TYPE WorldDataType
 Rows            AS INTEGER            ' Rows in world (actual data).
 Cols            AS INTEGER            ' Cols in world.
 TopRow          AS INTEGER            ' Store virtual position.
 Topcol          AS INTEGER            ' Store virtual position.
 Action          AS INTEGER            ' If a 'good' key is hit then...
 AnimCycle       AS INTEGER            ' Player tile to print (1 or 2).
 Direc           AS INTEGER            ' Player direction.
 PlayerY         AS INTEGER            ' Y pixel location of player.
 IntOwn          AS INTEGER
END TYPE



TYPE MapType
 Tile            AS INTEGER            ' What tile it is.
 Walkon          AS INTEGER            ' If you can walk on it.
END TYPE

CONST North = 1, South = 2, East = 3, West = 4
CONST True = -1, False = 0, Cave = 2
CONST TileDir$ = "tiles"

DIM SHARED CharSet(128, 8, 6)
DIM SHARED Tree1(129), Rock1(129), Grass1(129), Water(129), Wall(129), WeaponS(129), WeaponSM(129)
DIM SHARED PlayerLeft1(129), PlayerUp1(129), PlayerDown1(129), PlayerRight1(129), Goblin(129), Orc(129), Slime(129)
DIM SHARED PlayerLeft2(129), PlayerUp2(129), PlayerDown2(129), PlayerRight2(129), Enter(129), Boss(129)
DIM SHARED PlayerLeft1Mask(129), PlayerUp1Mask(129), PlayerDown1Mask(129), PlayerRight1Mask(129)
DIM SHARED PlayerLeft2Mask(129), PlayerUp2Mask(129), PlayerDown2Mask(129), PlayerRight2Mask(129)
DIM SHARED Iteman(129), ItemanMask(129), Inn(129), Town(129), Townmask(129), CaveWall(129), Cave1(129)
DIM SHARED WorldData AS WorldDataType
DIM SHARED Map(-8 TO 60, -8 TO 60) AS MapType
DIM SHARED Pal(512), Ninja(129)
COMMON SHARED Defence, Hp, Attack, MonName$, MonAtt, MonDef, Monhp, MaxHp, MaxHpM, www$, AAA$
COMMON SHARED level, Ex%, Gold%, ForNextlev, Needed%, Map2$, Price%, ExpGiven%, Givem%

RANDOMIZE TIMER
SCREEN 13
CALL LoadShit

DO
 kbd$ = INKEY$

 IF kbd$ <> "" THEN
  SELECT CASE kbd$
   CASE CHR$(27)
    END
   CASE CHR$(0) + "H"                  ' Pressed up, call MoveUp sub.
    CALL MoveUp
    WorldData.Action = True            ' We know an action happened, so
   CASE CHR$(0) + "P"                  ' we don't update the screen if
    CALL MoveDown                      '  they accidentally hit h or g...
    WorldData.Action = True
   CASE CHR$(0) + "K"                  ' Same thing going on here...
    CALL MoveLeft
    WorldData.Action = True
   CASE CHR$(0) + "M"
    CALL MoveRight
    WorldData.Action = True
   CASE CHR$(115)
   CALL Stats
  END SELECT

  
  
  IF WorldData.Action = True THEN CALL ShowMap

  WorldData.Action = False
  enemy% = INT(RND * 12) + 1
  WhatEver = INT(RND * 3) + 1
  IF WorldData.IntOwn = House THEN IF WorldData.TopRow = 23 AND WorldData.Topcol = 20 THEN CALL LoadWorld
  IF WorldData.IntOwn = False THEN IF WorldData.TopRow = 22 AND WorldData.Topcol = 20 THEN CALL LoadHouse
  IF WorldData.IntOwn = False THEN IF enemy% = 7 THEN CALL GenerateMOnStats
  IF WorldData.IntOwn = True THEN IF WorldData.TopRow = 13 AND WorldData.Topcol = -4 THEN CALL StayAtInn
  IF WorldData.IntOwn = True THEN IF WorldData.TopRow = 0 AND WorldData.Topcol = -3 THEN CALL WeaponShop
  'PRINT WorldData.TopRow, WorldData.Topcol
  IF WorldData.IntOwn = True THEN IF WorldData.TopRow = 4 AND WorldData.Topcol = -7 THEN CALL Help1(1)
  IF WorldData.IntOwn = True THEN IF WorldData.TopRow = -2 AND WorldData.Topcol = 2 THEN CALL Help1(3)
  IF WorldData.IntOwn = False THEN IF WorldData.TopRow = -2 AND WorldData.Topcol = 8 THEN CALL LoadTown
  IF WorldData.IntOwn = True THEN IF WorldData.TopRow = -2 AND WorldData.Topcol = 8 THEN CALL LoadWorld
  IF WorldData.IntOwn = Cave THEN IF WorldData.TopRow = -4 AND WorldData.Topcol = 2 THEN CALL LoadWorld
  IF WorldData.IntOwn = False THEN IF WorldData.TopRow = -2 AND WorldData.Topcol = 2 THEN CALL LoadCave
  IF WorldData.IntOwn = Cave THEN IF WorldData.TopRow = 11 AND WorldData.Topcol = 1 THEN CALL MeetBoss1
  IF WorldData.IntOwn = House THEN IF WorldData.TopRow = 19 AND WorldData.Topcol = 21 THEN CALL MeetGuy
  END IF

LOOP
                                             

MainMap:                               ' as DATA.
DATA 52,54
DATA 6,6,6,6,6,6,3,3,3,3,3,3,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,5,3,2,2,2,2,6,2,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,2,3,2,2,2,2,13,2,2,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,2,5,3,2,2,2,2,3,2,6,6,6,6,10,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,3,2,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6,6,6
DATA 6,2,2,2,2,2,3,5,2,2,2,3,2,5,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6,6
DATA 6,2,3,3,3,3,3,3,3,3,3,3,2,5,6,6,2,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,2,2,3,5,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6
DATA 6,2,3,5,3,3,3,3,3,2,3,2,5,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,3,3,3,3,3,3,3,2,3,3,3,6,6,6,6,6,6,6,6,6
DATA 6,6,2,3,3,3,3,3,3,2,2,2,2,6,6,2,2,3,3,3,3,5,3,3,3,3,3,5,3,2,2,2,2,3,5,3,3,3,5,3,5,2,3,3,3,3,6,6,6,6,6,6,6,6
DATA 6,6,2,2,2,2,2,3,3,6,6,6,6,6,6,3,3,2,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,3,2,5,3,5,3,3,3,3,5,3,3,3,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,3,6,6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6
DATA 6,6,2,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,2,3,3,3,3,3,3,5,3,2,3,3,2,3,3,3,3,6,6,6,6,6,6
DATA 6,2,2,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6
DATA 6,2,2,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,2,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6
DATA 6,2,2,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,2,3,3,6,6,6,6,6,6
DATA 6,3,2,3,3,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,2,3,3,5,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,6,6,6,6,6,6
DATA 6,3,3,2,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,2,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,5,3,3,5,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,2,3,3,3,3,3,3,3,3,3,3,2,2,3,3,3,3,3,3,3,3,3,3,3,6,2,2,2,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,5,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,5,3,3,3,3,3,6,6,6,6,6,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,2,3,3,3,3,2,3,3,3,3,2,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,13,6,6,5,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,3,3,3,3,3,5,3,3,3,3,3,3,3,3,2,3,3,3,5,3,3,3,3,6,3,6,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,3,2,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,2,3,3,3,3,2,2,3,3,3,3,3,3,2,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,2,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,5,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,5,2,5,2,2,3,3,5,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,2,3,5,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,5,3,6,6,6,6
DATA 6,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,5,6,6,6,6
DATA 6,2,2,2,2,3,2,3,3,3,3,3,3,3,3,3,3,2,2,3,5,3,3,2,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,6,6,6,6
DATA 6,2,3,3,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,2,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,2,2,2,6,6,6,6
DATA 6,2,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,6,6,6,6,6
DATA 6,2,3,2,5,2,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,3,2,2,6,6,6,6,6,6
DATA 6,2,3,2,6,6,6,6,2,6,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,2,3,2,2,3,2,2,2,6,6,6,6,6,6,6
DATA 6,2,6,6,6,6,6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
                                                                       
CaveMap:
DATA 21,21
DATA 12,12,11,12,12,12,12,12,12,12,12,11,12,12,12,12,12,12,12,12,12
DATA 12,12,11,12,12,12,11,11,12,12,11,11,11,12,12,12,12,12,12,12,12
DATA 12,11,11,12,12,12,11,12,12,12,12,11,11,12,12,12,11,11,11,12,12
DATA 12,11,11,12,12,11,11,12,12,12,12,11,11,12,12,12,12,12,11,12,12
DATA 12,12,11,12,12,11,12,12,12,12,12,11,11,11,11,11,11,11,11,12,12
DATA 12,12,11,12,12,11,12,12,12,12,12,12,12,11,12,12,12,12,12,12,12
DATA 12,12,11,12,11,11,12,12,12,12,12,12,12,11,11,11,11,11,11,12,12
DATA 12,12,11,12,12,12,12,12,12,12,12,12,12,11,11,11,12,12,12,12,12
DATA 12,12,11,12,11,11,11,11,12,12,12,12,12,11,12,12,12,11,11,12,12
DATA 12,12,11,12,11,11,12,12,12,11,12,12,12,11,12,11,12,11,11,12,12
DATA 12,12,11,12,11,11,11,11,11,11,11,11,12,11,11,11,12,11,11,12,12
DATA 12,12,11,12,11,11,12,11,12,12,11,12,12,12,12,11,12,12,12,12,12
DATA 12,12,11,12,12,11,12,11,12,12,11,12,12,11,11,11,11,12,11,12,12
DATA 12,12,11,12,12,11,12,11,12,11,11,11,12,11,12,11,11,12,11,12,12
DATA 12,12,11,12,12,11,12,12,12,11, 6,11,12,11,11,11,12,12,11,12,12
DATA 12,12,11,12,11,11,11,11,12,12,99,12,12,11,11,11,11,11,11,12,12
DATA 12,12,11,11,11,11,11,11,12,12,11,12,11,11,11,12,12,12,12,12,12
DATA 12,12,11,12,11,11,12,11,12,12,11,11,11,12,11,12,12,11,12,12,12
DATA 12,12,11,12,11,11,11,11,12,12,11,12,11,11,11,11,11,11,11,12,12
DATA 12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12
DATA 12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12

TownMap:
DATA 20,20
DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
DATA 2,8,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,8,3,3,3,3,3,4,3,3,3,3,3,3,5,2
DATA 2,8,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3
DATA 2,8,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,5,2
DATA 2,8,8,8,8,7,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,3,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,8,8,8,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2
DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
House:
DATA 52,54
DATA 6,6,6,6,6,6,3,3,3,3,3,3,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,5,3,2,2,2,2,6,2,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,2,3,2,2,2,2,13,2,2,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,2,5,3,2,2,2,2,3,2,6,6,6,6,10,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,3,2,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6,6,6
DATA 6,2,2,2,2,2,3,5,2,2,2,3,2,5,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6,6
DATA 6,2,3,3,3,3,3,3,3,3,3,3,2,5,6,6,2,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,2,2,3,5,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6,6,6
DATA 6,2,3,5,3,3,3,3,3,2,3,2,5,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,3,3,3,3,3,3,3,2,3,3,3,6,6,6,6,6,6,6,6,6
DATA 6,6,2,3,3,3,3,3,3,2,2,2,2,6,6,2,2,3,3,3,3,5,3,3,3,3,3,5,3,2,2,2,2,3,5,3,3,3,5,3,5,2,3,3,3,3,6,6,6,6,6,6,6,6
DATA 6,6,2,2,2,2,2,3,3,6,6,6,6,6,6,3,3,2,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,3,2,5,3,5,3,3,3,3,5,3,3,3,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,3,6,6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6,6
DATA 6,6,2,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,2,3,3,3,3,3,3,5,3,2,3,3,2,3,3,3,3,6,6,6,6,6,6
DATA 6,2,2,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6
DATA 6,2,2,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,2,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6,6
DATA 6,2,2,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,2,3,3,6,6,6,6,6,6
DATA 6,3,2,3,3,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,2,3,3,5,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,6,6,6,6,6,6
DATA 6,3,3,2,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,2,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,5,3,3,5,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,2,3,3,3,3,3,3,3,3,3,3,2,2,3,3,3,3,3,3,3,3,3,3,8,8,8,8,8,8,8,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,5,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,5,3,3,3,3,3,8,11,11,99,11,11,8,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,8,11,11,11,11,11,8,3,3,3,3,2,3,3,3,3,2,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,6,8,11,11,11,11,11,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,8,11,11,11,11,11,8,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,3,3,3,3,3,5,3,3,3,3,3,3,3,3,2,3,3,3,5,3,3,3,8,8,3,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,2,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,2,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,3,2,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,2,3,3,3,3,2,2,3,3,3,3,3,3,2,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,2,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,5,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,5,2,5,2,2,3,3,5,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,6,6
DATA 6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,2,3,5,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,5,3,6,6,6,6
DATA 6,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,5,6,6,6,6
DATA 6,2,2,2,2,3,2,3,3,3,3,3,3,3,3,3,3,2,2,3,5,3,3,2,5,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,6,6,6,6
DATA 6,2,3,3,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,3,2,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,2,2,2,6,6,6,6
DATA 6,2,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,6,6,6,6,6
DATA 6,2,3,2,5,2,3,3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,3,2,2,6,6,6,6,6,6
DATA 6,2,3,2,6,6,6,6,2,6,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,3,2,3,2,2,3,2,2,2,6,6,6,6,6,6,6
DATA 6,2,6,6,6,6,6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
DATA 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6

SUB Begin
CLS
Text "N", 15, 142, 15, 1
Text "ight", 7, 999, 15, 1
Text "S", 7, 134, 25, 1
Text "talkers", 8, 999, 25, 1
Text "1) Start", 15, 999, 140, 1
Text "2) Continue", 15, 999, 150, 1
Text "3) Quit", 15, 999, 160, 1
assfin:
DO
 B$ = INKEY$

 IF B$ <> "" THEN
  SELECT CASE B$
  CASE "1"
  CALL Neato
  CALL ShowMap
  EXIT SUB
  CASE "2"
  CALL Continue
  EXIT SUB
  CASE "3"
  END
  CASE ELSE
  GOSUB assfin:
  END SELECT
 END IF
LOOP
END SUB

SUB BuyWa (a%)

SELECT CASE (a%)

CASE 1
 CALL Dialogbox2
 Price% = 30
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey:  EXIT SUB
 a% = 1
 Gold% = Gold% - Price%
 Attack = Attack + a%
 www$ = "Dagger"
 CALL WeaponShop
 
CASE 2
 Price% = 100
 CALL Dialogbox2
 IF Gold% < Price% THEN CALL Text("You Dont' have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 a% = 3
 Gold% = Gold% - Price%
 Attack = Attack + a%
 www$ = "Sword"
 CALL WeaponShop
 
 
CASE 3
 CALL Dialogbox2
 Price% = 245
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 a% = 5
 Gold% = Gold% - Price%
 Attack = Attack + a%
 www$ = "Axe"
 CALL WeaponShop

CASE 4
 CALL Dialogbox2
 Price% = 600
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 a% = 12
 Gold% = Gold% - Price%
 Attack = Attack + a%
 www$ = "Long Sword"
 
 CALL WeaponShop
CASE 5
 CALL Dialogbox2
 Price% = 25
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 d% = 1
 Gold% = Gold% - Price%
 Defence = Defence + d%
 AAA$ = "Leather"
 
 CALL WeaponShop
CASE 6
 CALL Dialogbox2
 Price% = 80
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 d% = 2
 Gold% = Gold% - Price%
 Defence = Defence + d%
 AAA$ = "Padded"
 
 CALL WeaponShop
CASE 7
 CALL Dialogbox2
 Price% = 210
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 d% = 5
 Gold% = Gold% - Price%
 Defence = Defence + d%
 AAA$ = "Scale Mail"
 
 CALL WeaponShop
CASE 8
 CALL Dialogbox2
 Price% = 515
 IF Gold% < Price% THEN CALL Text("You Don't have Enough!", 15, 15, 175, 1): WaitKey: EXIT SUB
 d% = 10
 Gold% = Gold% - Price%
 Defence = Defence + d%
 AAA$ = "Chain Mail"
 
 CALL WeaponShop
CASE ELSE

END SELECT
END SUB

SUB ChangeAnim

IF WorldData.AnimCycle = 1 THEN WorldData.AnimCycle = 2 ELSE IF WorldData.AnimCycle = 2 THEN WorldData.AnimCycle = 1

END SUB

SUB Continue
SHELL "cd Tiles"
OPEN "Save.Dat" FOR INPUT AS #1
INPUT #1, Attack
INPUT #1, Defence
INPUT #1, level
INPUT #1, Hp
INPUT #1, MaxHp
INPUT #1, Gold%
INPUT #1, Ex%
INPUT #1, ForNextlev
INPUT #1, www$
INPUT #1, AAA$
SHELL "cd.."
CLOSE
CALL LoadTown
CALL ShowMap
END SUB

SUB Death
CLS
Text "You have Died", 4, 999, 45, 3
Text "Save the Village!", 4, 999, 135, 1
WorldData.Direc = South
CALL ChangeAnim
CALL PutPlayerPic
Delay (2)

END
END SUB

SUB Delay (Seconds)
CurrentTimer! = TIMER
    
WHILE TIMER < (CurrentTimer! + Seconds)
WEND

END SUB

SUB DiaLogbox1
LINE (10, 130)-(239, 184), BackGround, BF
LINE (10, 130)-(239, 184), 26, B
LINE (11, 131)-(238, 184), 28, B
LINE (12, 132)-(237, 183), 26, B


END SUB

SUB Dialogbox2
LINE (10, 130)-(289, 184), BackGround, BF
LINE (10, 130)-(289, 184), 26, B
LINE (11, 131)-(288, 184), 28, B
LINE (12, 132)-(287, 183), 26, B

END SUB

SUB DialogBox3
LINE (10, 10)-(289, 184), BackGround, BF
LINE (10, 10)-(289, 184), 26, B
LINE (11, 11)-(288, 184), 28, B
LINE (12, 12)-(287, 183), 26, B
END SUB

SUB Ending
CALL Dialogbox2
Text "You defeated the Night Stalker, but there are ", 15, 15, 135, 1
Text "many more trying to destroy your town. ", 15, 15, 145, 1
Text "with that in mind, they also have your brother. ", 15, 15, 155, 1
Text "You have your work cut out for yourself.", 15, 15, 165, 1
Delay (2)
WaitKey
CLS
CALL DialogBox3
Text "Credits:", 15, 15, 15, 1
Text "Programmed by: Scott Carnegie", 15, 15, 25, 1
Text "With help from thses fine people.", 15, 15, 45, 1
Text "NeoZone Productions: Without them, this game ", 15, 15, 55, 1
Text "would not be. Thank you for The TileEngine2 ", 15, 15, 65, 1
Text "and Nmedia!    www.geocities.com/~neozones", 15, 15, 75, 1
Text "Jfont: This is the Text. Thanks Joe Davison", 15, 15, 85, 1
Text "http://www.geocities.com/SunsetStrip/1595", 15, 15, 95, 1
Text "/qbasic.htm", 15, 15, 105, 1
Text "Special Thanks to Mark Carnegie,my brother.", 15, 15, 115, 1
Text "Expect to see Chapter 2 soon! Don't worry,your ", 15, 15, 160, 1
Text "saved game will work.", 15, 15, 170, 1
END
END SUB

SUB Fight (WhatKind)
Fight:
CALL DialogBox3
SELECT CASE (WhatKind)
CASE 1
 PUT (30, 120), Slime%, PSET
CASE 2
 PUT (30, 120), Orc%, PSET
CASE 3
 PUT (30, 120), Goblin%, PSET
CASE 4
 PUT (30, 120), Boss, PSET
END SELECT
IF WhatKind = 1 THEN WhatKind$ = "Slime"
IF WhatKind = 2 THEN WhatKind$ = "Orc"
IF WhatKind = 3 THEN WhatKind$ = "Goblin"
IF WhatKind = 4 THEN WhatKind$ = "Ninja"
Text "Name:Mark", 15, 15, 15, 1
Text "Hp:       " + Fixed$(Hp), 15, 15, 25, 1
Text "Strength: " + Fixed$(Attack), 15, 15, 35, 1
Text "Defence:  " + Fixed$(Defence), 15, 15, 45, 1
Text "Gold:     " + Fixed$(Gold%), 15, 15, 55, 1
Text "Exp:      " + Fixed$(Ex), 15, 15, 65, 1
Text "You See A " + (WhatKind$) + "!", 15, 15, 80, 1
Text "1) Fight", 15, 15, 90, 1
Text "2) Run", 15, 15, 100, 1
Text "Enemy Hp: " + Fixed$(Monhp%), 15, 15, 150, 1
DO
 F$ = INKEY$
 IF F$ <> "" THEN
  SELECT CASE F$
  CASE "1"
  att = Attack - MonDef
  a = INT(RND * 3) + att
  IF a < 0 THEN a = 0
  Text "You hit him for " + Fixed$(a) + " Damage", 15, 130, 25, 1
  Monhp = Monhp - a
  IF Monhp% <= 0 THEN ehp% = 0: GOSUB MonDeath:
  Eatt = MonAtt - Defence
  ea = INT(RND * 3) + Eatt
  IF ea < 0 THEN ea = 0
  Text "It hit's you for " + Fixed$(ea) + " Damage", 15, 130, 35, 1
  Hp = Hp - ea
  IF Hp% <= 0 THEN Hp% = 0: Delay (2): CALL Death
  null$ = INPUT$(1)
  GOSUB Fight:
  CASE "2"
  CALL ShowMap
  EXIT SUB
  CASE ELSE
  GOSUB Fight:
  END SELECT
 END IF
LOOP
MonDeath:
IF WhatKind = 4 THEN Givem% = 0 AND ExpGiven% = 0: CALL Ending
IF level = 6 THEN ExpGiven% = 0
Text "You Killed the Monster!", 15, 15, 160, 1
Text "You Get " + Fixed$(Givem%) + " Gold and " + Fixed$(ExpGiven%) + " Experence", 15, 15, 170, 1
Gold% = Gold% + Givem%
Ex% = Ex% + ExpGiven%
CALL levelup
CALL WaitKey
CALL ShowMap
END SUB

FUNCTION Fixed$ (Num)
Fixed$ = LTRIM$(RTRIM$(STR$(Num)))

END FUNCTION

SUB ForNextLevel

ForNextlev% = Needed% - Ex%
IF level = 6 THEN ForNextlev% = 1: Needed% = 2: Ex% = 1
END SUB

SUB GenerateMOnStats
RANDOMIZE TIMER
mm% = 1


IF level = 2 THEN mm% = 3
IF level = 3 THEN mm% = 7
IF level = 4 THEN mm% = 13
IF level = 5 THEN mm% = 20
IF level = 6 THEN mm% = 23
hh% = INT(RND * 3) + 1
IF hh% = 1 THEN Monhp% = 5 + mm%
IF hh% = 2 THEN Monhp% = 10 + mm%
IF hh% = 3 THEN Monhp% = 5 + mm%
MonAtt = INT(RND * 3) + mm%
MonDef = INT(RND * 1) + mm%
MaxHpM = Monhp%
WhatKind = INT(RND * 3) + 1
IF WhatKind = 1 THEN MOnster$ = "Slime"
IF WhatKind = 2 THEN MOnster$ = "Orc"
IF WhatKind = 3 THEN MOnster$ = "Goblin"
Expg% = INT(RND * 3) + 1
IF Expg% = 1 THEN ExpGiven% = 1 + mm%
IF Expg% = 2 THEN ExpGiven% = 2 + mm%
IF Expg% = 3 THEN ExpGiven% = 1 + mm%
Givem% = INT(RND * 3) + 1
IF Givem% = 1 THEN Givem% = 1 + mm%
IF Givem% = 2 THEN Givem% = 2 + mm%
IF Givem% = 3 THEN Givem% = 1 + mm%
CALL Fight(WhatKind)
END SUB

SUB Help1 (talk)
CALL Dialogbox2
'     -                                            -
SELECT CASE (talk)
CASE 1
Text "The damn water has been drying up! You gotta ", 15, 15, 135, 1
Text "do something!", 15, 15, 145, 1
CALL WaitKey
CASE 2
Text "Hello Mark, nice day isn't it?", 15, 15, 135, 1
CALL WaitKey
CASE 3
Text "You should stay at the inn! it's only 5 Gold!", 15, 15, 135, 1
Text "Also, I heard someone lives at the big lake ", 15, 15, 145, 1
Text "south of here.", 15, 15, 155, 1
Text "", 15, 15, 165, 1
CALL WaitKey
END SELECT
END SUB

SUB InitVars

WorldData.TopRow = 5
WorldData.Topcol = 5
WorldData.Direc = West
WorldData.AnimCycle = 1
WorldData.PlayerY = 97
WorldData.IntOwn = False

www$ = "Fists"
Attack = 3
AAA$ = "Cloth"
Defence = 2


Hp = 20
Gold% = 0
Ex% = 0
level = 1

Monhp = 0
MonAtt = 0
MonDef = 0
MonName$ = ""
MaxHp = 20
MaxHpM = 20
CALL levelup
END SUB

SUB levelup
CALL ForNextLevel
IF level = 1 THEN Needed% = 65: Hpin% = 5: tt% = 1: dd% = 1
IF level = 2 THEN Needed% = 200: Hpin% = 7: tt% = 2: dd% = 2
IF level = 3 THEN Needed% = 450: Hpin% = 12: tt% = 3: dd% = 3
IF level = 4 THEN Needed% = 820: Hpin% = 7: tt% = 5: dd% = 4
IF level = 5 THEN Needed% = 1320: Hpin% = 9: tt% = 6: dd% = 5
IF level = 6 THEN Needed% = 1800: Hpin% = 7: tt% = 7: dd% = 6

IF level = 6 THEN Needed% = 1
IF Ex% >= Needed% THEN Hp% = Hp% + Hpin%: MaxHp% = MaxHp% + Hpin%: level = level + 1: Attack = Attack + tt%: Defence = Defence + dd%: Text "level up!", 15, 15, 110, 1: Delay (1): WaitKey

END SUB

SUB ListOFWeapon
CALL Dialogbox2
Text "1.Dagger     -30 Gold", 15, 15, 140, 1
Text "2.Sword      -100 Gold", 15, 15, 150, 1
Text "3.Axe        -245 Gold", 15, 15, 160, 1
Text "4.Long Sword -400 Gold", 15, 15, 170, 1
Text "5.Leather    -25 Gold", 15, 155, 140, 1
Text "6.Padded     -80 Gold", 15, 155, 150, 1
Text "7.Scale      -210 Gold", 15, 155, 160, 1
Text "8.Chain Mail -350 Gold", 15, 155, 170, 1
Koop$ = ""
DO
 Koop$ = INKEY$
 IF Koop$ <> "" THEN
  SELECT CASE Koop$
   CASE "1"
   IF www$ <> "Fists" THEN CALL Text("You Have a Weapon!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(1)
   CASE "2"
   IF www$ <> "Fists" THEN CALL Text("You Have a Weapon!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(2)
   CASE "3"
   IF www$ <> "Fists" THEN CALL Text("You Have a Weapon!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(3)
   CASE "4"
   IF www$ <> "Fists" THEN CALL Text("You Have a Weapon!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(4)
   CASE "5"
   IF AAA$ <> "Cloth" THEN CALL Text("You Have some Armour!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(5)
   CASE "6"
   IF AAA$ <> "Cloth" THEN CALL Text("You Have some Armour!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(6)
   CASE "7"
   IF AAA$ <> "Cloth" THEN CALL Text("You Have some Armour!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(7)
   CASE "8"
   IF AAA$ < "Cloth" THEN CALL Text("You Have some Armour!", 15, 999, 175, 1): Delay (1): EXIT SUB
   CALL BuyWa(8)
  
   CASE ELSE
   EXIT SUB
  END SELECT
 END IF
LOOP

Bottom:
END SUB

SUB LoadCave
WorldData.IntOwn = Cave
RESTORE CaveMap


READ WorldData.Rows, WorldData.Cols           ' Get the rows and cols to read.
FOR i = 1 TO WorldData.Rows                   ' Go through a for loop to
 FOR j = 1 TO WorldData.Cols                  ' load the world map data.
  READ Map(j, i).Tile
  SELECT CASE Map(j, i).Tile                  ' See what the tile is.
   CASE 12, 99, 6                        ' if it's 2, 4, or 5, it can't
    Map(j, i).Walkon = False                  '  be walked on.
   CASE ELSE                                  ' Otherwise, they can walk on
    Map(j, i).Walkon = True                   '  it.
  END SELECT
 NEXT j
NEXT i

END SUB

SUB Loadfont
OPEN "fontdata.dat" FOR INPUT AS #1
FOR a = 1 TO 126
FOR X = 1 TO 8
    
      FOR y = 1 TO 6
        INPUT #1, B
        CharSet(a, X, y) = B        'loads font data into 3-D array.
      NEXT y

   NEXT X
NEXT a

CLOSE

END SUB

SUB LoadHouse
WorldData.IntOwn = House
RESTORE House


READ WorldData.Rows, WorldData.Cols           ' Get the rows and cols to read.
FOR i = 1 TO WorldData.Rows                   ' Go through a for loop to
 FOR j = 1 TO WorldData.Cols                  ' load the world map data.
  READ Map(j, i).Tile
  SELECT CASE Map(j, i).Tile                  ' See what the tile is.
   CASE 8, 99                      ' if it's 2, 4, or 5, it can't
    Map(j, i).Walkon = False                  '  be walked on.
   CASE ELSE                                  ' Otherwise, they can walk on
    Map(j, i).Walkon = True                   '  it.
  END SELECT
 NEXT j
NEXT i

END SUB

SUB LoadShit
CLS

CALL Loadfont
CALL Text("LOADING", 2, 999, 0, 2)
CALL Text("A Palanar Production", 4, 999, 15, 1)
CALL Text("FontLoad: Done", 15, 999, 30, 1)
CALL SetupPalette
CALL Text("SetupPalette: Done", 15, 999, 45, 1)
CALL InitVars
CALL Text("InitVars: Done", 15, 999, 60, 1)
CALL LoadTiles
CALL Text("LoadTiles: Done", 15, 999, 75, 1)
CALL LoadWorld
CALL Text("LoadWorld: Done", 15, 999, 90, 1)
Delay (2)
CALL Begin
END SUB

SUB LoadTiles

'              
' DEF SEG = VARSEG(Tree1(0)): BLOAD "tree.mdt", VARPTR(Tree1(0))
'                  Array            "Tile"             Array
' The 0 represents the offset, or where the data starts loading. This is just
' important for those of you that have indexed pictures.
'              

CHDIR TileDir$
DEF SEG = VARSEG(Enter(0)): BLOAD "RockEnt.mdt", VARPTR(Enter(0))
DEF SEG = VARSEG(Boss(0)): BLOAD "Boss1.mdt", VARPTR(Boss(0))
DEF SEG = VARSEG(Ninja(0)): BLOAD "Ninja.mdt", VARPTR(Ninja(0))

DEF SEG = VARSEG(Cave1(0)): BLOAD "Cave.mdt", VARPTR(Cave1(0))
DEF SEG = VARSEG(CaveWall(0)): BLOAD "CaveWall.mdt", VARPTR(CaveWall(0))

DEF SEG = VARSEG(Town(0)): BLOAD "Town.mdt", VARPTR(Town(0))
DEF SEG = VARSEG(Townmask(0)): BLOAD "TownMask.mdt", VARPTR(Townmask(0))
DEF SEG = VARSEG(Orc(0)): BLOAD "Orc.mdt", VARPTR(Orc(0))
DEF SEG = VARSEG(Slime(0)): BLOAD "Slime.mdt", VARPTR(Slime(0))
DEF SEG = VARSEG(Orc(0)): BLOAD "Orc.mdt", VARPTR(Orc(0))
DEF SEG = VARSEG(Goblin(0)): BLOAD "Goblin.mdt", VARPTR(Goblin(0))
DEF SEG = VARSEG(Inn(0)): BLOAD "Inn.mdt", VARPTR(Inn(0))
DEF SEG = VARSEG(Wall(0)): BLOAD "Wall.mdt", VARPTR(Wall(0))
DEF SEG = VARSEG(WeaponS(0)): BLOAD "WeaponS.mdt", VARPTR(WeaponS(0))
DEF SEG = VARSEG(WeaponSM(0)): BLOAD "WeaponSM.mdt", VARPTR(WeaponSM(0))
DEF SEG = VARSEG(Water(0)): BLOAD "Water.mdt", VARPTR(Water(0))
DEF SEG = VARSEG(Tree1(0)): BLOAD "tree1.mdt", VARPTR(Tree1(0))
DEF SEG = VARSEG(Grass1(0)): BLOAD "grass1.mdt", VARPTR(Grass1(0))
DEF SEG = VARSEG(Rock1(0)): BLOAD "rock1.mdt", VARPTR(Rock1(0))

DEF SEG = VARSEG(PlayerDown1(0)): BLOAD "guyd1.mdt", VARPTR(PlayerDown1(0))
DEF SEG = VARSEG(PlayerDown2(0)): BLOAD "guyd2.mdt", VARPTR(PlayerDown2(0))
DEF SEG = VARSEG(PlayerDown1Mask(0)): BLOAD "guyd1m.mdt", VARPTR(PlayerDown1Mask(0))
DEF SEG = VARSEG(PlayerDown2Mask(0)): BLOAD "guyd2m.mdt", VARPTR(PlayerDown2Mask(0))

DEF SEG = VARSEG(PlayerLeft1(0)): BLOAD "guyl1.mdt", VARPTR(PlayerLeft1(0))
DEF SEG = VARSEG(PlayerLeft2(0)): BLOAD "guyl2.mdt", VARPTR(PlayerLeft2(0))
DEF SEG = VARSEG(PlayerLeft1Mask(0)): BLOAD "guyl1m.mdt", VARPTR(PlayerLeft1Mask(0))
DEF SEG = VARSEG(PlayerLeft2Mask(0)): BLOAD "guyl2m.mdt", VARPTR(PlayerLeft2Mask(0))

DEF SEG = VARSEG(PlayerRight1(0)): BLOAD "guyr1.mdt", VARPTR(PlayerRight1(0))
DEF SEG = VARSEG(PlayerRight2(0)): BLOAD "guyr2.mdt", VARPTR(PlayerRight2(0))
DEF SEG = VARSEG(PlayerRight1Mask(0)): BLOAD "guyr1m.mdt", VARPTR(PlayerRight1Mask(0))
DEF SEG = VARSEG(PlayerRight2Mask(0)): BLOAD "guyr2m.mdt", VARPTR(PlayerRight2Mask(0))

DEF SEG = VARSEG(PlayerUp1(0)): BLOAD "guyu1.mdt", VARPTR(PlayerUp1(0))
DEF SEG = VARSEG(PlayerUp2(0)): BLOAD "guyu2.mdt", VARPTR(PlayerUp2(0))
DEF SEG = VARSEG(PlayerUp1Mask(0)): BLOAD "guyu1m.mdt", VARPTR(PlayerUp1Mask(0))
DEF SEG = VARSEG(PlayerUp2Mask(0)): BLOAD "guyu2m.mdt", VARPTR(PlayerUp2Mask(0))

DEF SEG = VARSEG(Iteman(0)): BLOAD "Iteman.mdt", VARPTR(Iteman(0))
DEF SEG = VARSEG(ItemanMask(0)): BLOAD "Iteman1.mdt", VARPTR(ItemanMask(0))


CHDIR ".."

END SUB

SUB LoadTown
WorldData.IntOwn = True
RESTORE TownMap


READ WorldData.Rows, WorldData.Cols           ' Get the rows and cols to read.
FOR i = 1 TO WorldData.Rows                   ' Go through a for loop to
 FOR j = 1 TO WorldData.Cols                  ' load the world map data.
  READ Map(j, i).Tile
  SELECT CASE Map(j, i).Tile                  ' See what the tile is.
   CASE 2, 4, 5, 6, 8, 7, 9                          ' if it's 2, 4, or 5, it can't
    Map(j, i).Walkon = False                  '  be walked on.
   CASE ELSE                                  ' Otherwise, they can walk on
    Map(j, i).Walkon = True                   '  it.
  END SELECT
 NEXT j
NEXT i

WorldData.TopRow = -12 AND WorldData.Topcol = -12
END SUB

SUB LoadWorld
WorldData.IntOwn = False
RESTORE MainMap

READ WorldData.Rows, WorldData.Cols           ' Get the rows and cols to read.

FOR i = 1 TO WorldData.Rows                   ' Go through a for loop to
 FOR j = 1 TO WorldData.Cols                  ' load the world map data.
  READ Map(j, i).Tile
  SELECT CASE Map(j, i).Tile                  ' See what the tile is.
   CASE 2, 4, 5, 6, 7, 8, 11, 12, 13                        ' if it's 2, 4, or 5, it can't
    Map(j, i).Walkon = False                  '  be walked on.
   CASE ELSE                                  ' Otherwise, they can walk on
    Map(j, i).Walkon = True                   '  it.
  END SELECT
 NEXT j
NEXT i

END SUB

SUB MeetBoss1
CALL Dialogbox2
Text "Ninja: Hmm.. Mark, Nice to see you..", 15, 15, 140, 1
Text "Mark: Who are you?", 15, 15, 155, 1
Text "Ninja: I am an assassin, here to stop the ", 15, 15, 170, 1
WaitKey
CALL Dialogbox2
Text "Ninja: village from getting it's water.", 15, 15, 140, 1
Text "Mark: Why?!?", 15, 15, 155, 1
Text "Ninja: That is non of your concern!", 15, 15, 170, 1
WaitKey
CALL Dialogbox2
Text "Mark:  Not of my concern?!? It's my town!", 15, 15, 140, 1
Text "Ninja: Little Angry are we? ", 15, 15, 155, 1
Text "Mark:  Give back the water!  ", 15, 15, 170, 1
WaitKey
CALL Dialogbox2
Text "Ninja: Why? It's my orders.", 15, 15, 140, 1
Text "Mark:  If you don't give back the water, ", 15, 15, 150, 1
Text "Mark:  I'll take my fist and put it ", 15, 15, 160, 1
Text "Mark:  through your face.", 15, 15, 170, 1
WaitKey
CALL Dialogbox2
Text "Ninja: Let's just see who will kill who.", 15, 15, 140, 1
Text "Ninja: Fine.", 15, 15, 150, 1
WaitKey

Monhp% = 120
MonAtt = 45
MonDef = 30
Givem% = 0
ExpGiven% = 0
CALL Fight(4)
END SUB

SUB MeetGuy
Dialogbox2
Text "Hello Mark, I am an ex-Night Stalker.", 15, 15, 135, 1
Text "The only reason that I am alive, is", 15, 15, 145, 1
Text "because the Night Stalkers think I'm", 15, 15, 155, 1
Text "dead. Mark, I need you.", 15, 15, 165, 1
WaitKey
Dialogbox2
Text "I am looking for a Gem. The Gem is green", 15, 15, 135, 1
Text "with a tint of black in it.", 15, 15, 145, 1
Text "I heard you were a good hunter, so", 15, 15, 155, 1
Text "get me the Gem, and I'll give you", 15, 15, 165, 1
WaitKey
Dialogbox2
Text "a handsome reward. The Gem is ", 15, 15, 135, 1
Text "in the town of Mendille. ", 15, 15, 145, 1
Text "I know it sounds like I am hiring ", 15, 15, 155, 1
Text "you, but I need to get the Gem   ", 15, 15, 165, 1
WaitKey
CALL Dialogbox2
Text "for some... research.", 15, 15, 135, 1
Text "I'll tell you more when you get   ", 15, 15, 145, 1
Text "back.", 15, 15, 155, 1
Text "", 15, 15, 165, 1
WaitKey
CALL Dialogbox2
Text "Oh, to get to Mendille, go into", 15, 15, 135, 1
Text "the west cave. ", 15, 15, 145, 1
Text "", 15, 15, 155, 1
Text "Call me Ortis", 15, 15, 165, 1
Text "", 15, 15, 175, 1
END SUB

SUB MoveDown

WorldData.Direc = South
CALL ChangeAnim

IF Map(WorldData.Topcol + 10, WorldData.TopRow + 6 + 1).Walkon = True THEN
 WorldData.TopRow = WorldData.TopRow + 1

'PRINT WorldData.toprow, WorldData.TopCol
END IF




END SUB

SUB MoveLeft

WorldData.Direc = West
CALL ChangeAnim

IF Map(WorldData.Topcol + 10 - 1, WorldData.TopRow + 6).Walkon = True THEN
 WorldData.Topcol = WorldData.Topcol - 1

'PRINT WorldData.toprow, WorldData.TopCol

END IF


END SUB

SUB MoveRight

WorldData.Direc = East
CALL ChangeAnim

IF Map(WorldData.Topcol + 10 + 1, WorldData.TopRow + 6).Walkon = True THEN
 WorldData.Topcol = WorldData.Topcol + 1

'PRINT WorldData.toprow, WorldData.TopCol

END IF



END SUB

SUB MoveUp

WorldData.Direc = North
CALL ChangeAnim

IF Map(WorldData.Topcol + 10, WorldData.TopRow + 6 - 1).Walkon = True THEN
 WorldData.TopRow = WorldData.TopRow - 1

'PRINT WorldData.toprow, WorldData.TopCol

END IF


END SUB

SUB Neato
Text "Chapter 1", 8, 999, 30, 2
CALL Dialogbox2
Text "Welcome to Night Stalkers. You are Mark,", 15, 15, 135, 1
Text "a young man who lives in a small village.", 15, 15, 145, 1
Text "Recently, the water in your town is running", 15, 15, 155, 1
Text "dry and it just so happens that the Night", 15, 15, 165, 1
Text "Stalkers are snooping around.", 15, 15, 175, 1
WaitKey
CALL Dialogbox2
Text "Most of the Night Stalkers are hired Ninja's,", 15, 15, 135, 1
Text "Evil and loyal. The Night Stalkers took ", 15, 15, 145, 1
Text "control of the empire two years ago, and", 15, 15, 155, 1
Text "now control most of the world.", 15, 15, 165, 1
WaitKey
CALL Dialogbox2
Text "You used to live in the city Mendille,but you", 15, 15, 135, 1
Text "decided to move to the country. Your brother", 15, 15, 145, 1
Text "Scott still lives in Mendille. You two visit  ", 15, 15, 155, 1
Text "each other every month.", 15, 15, 165, 1
WaitKey
CALL Dialogbox2
Text "Now, your in the village. You need to get ", 15, 15, 135, 1
Text "stronger before you can pass the cave, that", 15, 15, 145, 1
Text "is the only way to Mendille. Also the cave", 15, 15, 155, 1
Text "is where the fresh water for your town is.", 15, 15, 165, 1

WaitKey


CALL LoadTown
EXIT SUB
END SUB

SUB PutPlayerPic

SELECT CASE WorldData.Direc
 CASE North
  IF WorldData.AnimCycle = 1 THEN
   PUT (160, WorldData.PlayerY), PlayerUp1Mask, AND
   PUT (160, WorldData.PlayerY), PlayerUp1, OR
  ELSE
   PUT (160, WorldData.PlayerY), PlayerUp2Mask, AND
   PUT (160, WorldData.PlayerY), PlayerUp2, OR
  END IF
 CASE East
  IF WorldData.AnimCycle = 1 THEN
   PUT (160, WorldData.PlayerY), PlayerRight1Mask, AND
   PUT (160, WorldData.PlayerY), PlayerRight1, OR
  ELSE
   PUT (160, WorldData.PlayerY), PlayerRight2Mask, AND
   PUT (160, WorldData.PlayerY), PlayerRight2, OR
  END IF
 CASE South
  IF WorldData.AnimCycle = 1 THEN
   PUT (160, WorldData.PlayerY), PlayerDown1Mask, AND
   PUT (160, WorldData.PlayerY), PlayerDown1, OR
  ELSE
   PUT (160, WorldData.PlayerY), PlayerDown2Mask, AND
   PUT (160, WorldData.PlayerY), PlayerDown2, OR
  END IF
 CASE West
  IF WorldData.AnimCycle = 1 THEN
   PUT (160, WorldData.PlayerY), PlayerLeft1Mask, AND
   PUT (160, WorldData.PlayerY), PlayerLeft1, OR
  ELSE
   PUT (160, WorldData.PlayerY), PlayerLeft2Mask, AND
   PUT (160, WorldData.PlayerY), PlayerLeft2, OR
  END IF
END SELECT

END SUB

SUB PutTile (Ico, Jco, MapNo)

SELECT CASE MapNo
 CASE 2
  PUT (Ico * 16, Jco * 16), Tree1, PSET
 CASE 5
  PUT (Ico * 16, Jco * 16), Rock1, PSET
 CASE 3
  PUT (Ico * 16, Jco * 16), Grass1, PSET
 CASE 4
  PUT (Ico * 16, Jco * 16), ItemanMask, AND
  PUT (Ico * 16, Jco * 16), Iteman, OR
 CASE 6
 PUT (Ico * 16, Jco * 16), Water, PSET
 CASE 7
  PUT (Ico * 16, Jco * 16), WeaponS, PSET
 CASE 8
  PUT (Ico * 16, Jco * 16), Wall, PSET
 CASE 9
 PUT (Ico * 16, Jco * 16), Inn, PSET
 CASE 10
 PUT (Ico * 16, Jco * 16), Town, PSET
 CASE 11
 PUT (Ico * 16, Jco * 16), Cave1, PSET
 CASE 12
 PUT (Ico * 16, Jco * 16), CaveWall, PSET
 CASE 13
 PUT (Ico * 16, Jco * 16), Enter, PSET
 CASE 99
 PUT (Ico * 16, Jco * 16), Ninja, PSET
 

 CASE ELSE
  IF WorldData.IntOwn = False THEN PUT (Ico * 16, Jco * 16), Water, PSET
  IF WorldData.IntOwn = True THEN PUT (Ico * 16, Jco * 16), Grass1, PSET
  
  
END SELECT

END SUB

SUB SaveGame
SHELL "cd tiles"
OPEN "Save.Dat" FOR OUTPUT AS #1
PRINT #1, Attack
PRINT #1, Defence
PRINT #1, level
PRINT #1, Hp
PRINT #1, MaxHp
PRINT #1, Gold%
PRINT #1, Ex%
PRINT #1, ForNextlev
PRINT #1, www$
PRINT #1, AAA$
CLOSE
SHELL "cd.."
END SUB

SUB SellWeaponArmour
CALL Dialogbox2

IF www$ = "Fists" THEN Text "You Don't have any weapon!", 15, 15, 140, 1: Delay (1): EXIT SUB
IF AAA$ = "Cloth" THEN Text "You Don't have any armour!", 15, 15, 150, 1: Delay (1): EXIT SUB
IF www$ <> "Fists" THEN GOSUB Top1:
IF AAA$ <> "Cloth" THEN GOSUB Top:

Top1:
    Text "Sell Weapon? [y/n]", 15, 15, 140, 1
DO
 See$ = INKEY$
 IF See$ <> "" THEN
  SELECT CASE See$
    CASE "y"
IF www$ = "Fists" THEN Text "You Don't have any weapon!", 15, 15, 140, 1: Delay (1): WeaponShop

   
    Price% = Price% / 2
    Gold% = Gold% + Price%
    www$ = "Fists"
    Attack = Attack - a%
    CALL ShowMap
    EXIT SUB
    CASE "n"
    GOSUB Top:
    CASE ELSE
    GOSUB Top1:
  END SELECT
 END IF
LOOP

Top:
    Text "Sell Armour? [y/n]", 15, 15, 150, 1
DO
 See1$ = INKEY$
 IF See1$ <> "" THEN
  SELECT CASE See1$
    CASE "y"
IF AAA$ = "Cloth" THEN Text "You Don't have any armour!", 15, 15, 150, 1: Delay (1): WeaponShop
   
    Price% = Price% / 2
    Gold% = Gold% + Price%
    AAA$ = "Cloth"
    Defence = Defence - d%
    EXIT SUB
    CASE "n"
    EXIT SUB
    CASE ELSE
    GOSUB Top:
  END SELECT
 END IF
LOOP

END SUB

SUB SetupPalette

DEF SEG = VARSEG(Pal(0))
BLOAD "nmedia.pal", 0
i = 0
FOR C = 0 TO 255
 OUT &H3C8, C
 OUT &H3C9, PEEK(i)
 OUT &H3C9, PEEK(i + 1)
 OUT &H3C9, PEEK(i + 2)
 i = i + 4
NEXT C
DEF SEG

END SUB

SUB ShowMap

FOR i = 0 TO 19
 FOR j = 0 TO 11
  PutTile i, j, Map(i + WorldData.Topcol, j + WorldData.TopRow).Tile
 NEXT j
NEXT i
                                              
CALL PutPlayerPic
                                              
END SUB

SUB Stats
CALL DialogBox3
CALL levelup
CALL ForNextLevel
Text "Name: Mark", 15, 15, 15, 1
Text "Hp:" + Fixed$(Hp) + "/" + Fixed$(MaxHp), 15, 15, 30, 1

Text "Weapon:" + (www$), 15, 15, 45, 1
Text "Armour:" + (AAA$), 15, 15, 60, 1
Text "Attack  Strength: " + Fixed$(Attack), 15, 15, 75, 1
Text "Defence Strength: " + Fixed$(Defence), 15, 15, 90, 1
Text "Level: " + Fixed$(level), 15, 15, 105, 1
Text "Exp:   " + Fixed$(Ex%), 15, 15, 120, 1
Text "For Next Level: " + Fixed$(ForNextlev%), 15, 15, 135, 1
Text "Gold:  " + Fixed$(Gold%), 15, 15, 150, 1
WaitKey
CALL ShowMap
END SUB

SUB StayAtInn
Top12:
    Dialogbox2
    Text "Stay at the inn? [y/n]", 15, 15, 140, 1
DO
 Stay$ = INKEY$
 IF Stay$ <> "" THEN
  SELECT CASE Stay$
    CASE "y"
    IF Gold% < 5 THEN Text "You Don't have enough!", 15, 15, 175, 1: WaitKey: EXIT SUB
    Gold% = Gold% - 5
      Hp% = MaxHp%
    CALL ShowMap
    GOSUB SaveGam:
    CASE "n"
    GOSUB SaveGam:
    CASE ELSE
    GOSUB Top12:
  END SELECT
 END IF
LOOP
SaveGam:
CALL Dialogbox2
Text "Save Game? [y,n]", 15, 15, 150, 1
DO
 Btay$ = INKEY$
 IF Btay$ <> "" THEN
  SELECT CASE Btay$
    CASE "y"
    CALL SaveGame
    CALL ShowMap
    EXIT SUB
    CASE "n"
    EXIT SUB
    CASE ELSE
    GOSUB SaveGam:
  END SELECT
 END IF
LOOP

END SUB

SUB Text (a$, C, XCoordinate, YCoordinate, Size)

Size = INT(Size)             'No decimals allowed!
IF Size > 10 THEN Size = 10  'Check and fix invalid size calls
IF Size < 1 THEN Size = 1    'likewise for <.

YCoordinate = INT(YCoordinate / Size)     'Prevent ballooning of YCoordinates
                                          'that is a result of using
                                          'size values larger than 1 for size


IF XCoordinate = 999 THEN XCoordinate = 160 - (LEN(a$) * 3 * Size)

StartX = XCoordinate               'set Starting X-Val for character drawing

FOR E = 1 TO LEN(a$)

   B$ = MID$(a$, E, 1)     ' read each character of the string
   a = ASC(B$)             ' get ASCII values of each character

      FOR X = 1 TO 8

         FOR y = 1 TO 6

            SELECT CASE CharSet(a, X, y)       'use ASCII value (a) to point
                                               'to the correct element in
                                               'the array

               CASE 0: Col = 0                 ' Don't draw pixel

               CASE 1: Col = C                 ' Draw pixel
             
               CASE ELSE                       ' Error!
                  CLS
                  SCREEN 9
                  BEEP
                  COLOR 4
                  PRINT "Error in FONTDATA.DAT"
                  PRINT "This could be the result of unauthorized tampering with the file."
                  PRINT "To fix: edit FONTDATA.DAT; make sure only 1's, 0's, and commas are there."
                  PRINT
                  PRINT "Program will now continue, but may exhibit erratic behavior..."
                  DO: LOOP UNTIL INKEY$ <> ""
                  SCREEN 13

            END SELECT

          IF Col <> 0 THEN        'Draw a pixel!
           LINE (StartX + PixelsRight, (X + YCoordinate) * Size)-(StartX + PixelsRight + (Size - 1), ((X + YCoordinate) * Size) + (Size - 1)), Col, BF
          END IF

          StartX = StartX + Size     'Set starting X-value for next pixel
      
        NEXT y
     
       StartX = XCoordinate          'reset startx for next line of pixels
   
     NEXT X
   PixelsRight = PixelsRight + (6 * Size)   ' add pixels for next character

NEXT E


END SUB

SUB WaitKey
DO
LOOP UNTIL INKEY$ <> ""
END SUB

SUB WeaponShop
CALL Dialogbox2
Text "Welcome Mark, What would you like?", 15, 15, 140, 1
Text "1) Buy Weapons/Armour", 15, 15, 150, 1
Text "2) Sell Weapons/Armour", 15, 15, 160, 1
Text "To Leave, Press the arrow Keys", 15, 15, 170, 1
Key$ = ""
DO
 Key$ = INKEY$
 IF Key$ <> "" THEN
  SELECT CASE Key$
   CASE "1"
   CALL ListOFWeapon
   CASE "2"
   CALL SellWeaponArmour
   CASE ELSE
   EXIT SUB
  END SELECT
 END IF
LOOP
END SUB

